> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blox.report/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss Reports

> Requires permissions: reports.handle_reports



## OpenAPI

````yaml https://backend.blox.report/openapi.json post /v1/reports/{id}/dismiss
openapi: 3.1.0
info:
  title: Blox.report API
  description: >-
    Backend API for Blox.report. Authentication with API key and secret as
    `key:secret` in Authorization header.
  version: 1.0.0
  contact: {}
servers:
  - url: https://backend.blox.report
    description: Production API
security: []
tags:
  - name: Reports
paths:
  /v1/reports/{id}/dismiss:
    post:
      tags:
        - Reports
      summary: Dismiss Reports
      description: 'Requires permissions: reports.handle_reports'
      operationId: postV1ReportsIdDismiss
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                dm:
                  type: boolean
                reason:
                  type: string
                moderator:
                  type: object
                  properties:
                    id:
                      type: string
                    platform:
                      type: string
                      enum:
                        - roblox
                        - discord
                  required:
                    - id
                    - platform
                  additionalProperties: false
              required:
                - dm
                - moderator
              additionalProperties: false
      responses:
        '200':
          description: Report dismissed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    const: true
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      reportId:
                        type: string
                      moderator:
                        type: object
                        properties:
                          id:
                            type: string
                          username:
                            type: string
                        required:
                          - id
                          - username
                        additionalProperties: false
                      reports:
                        type: array
                        items:
                          type: string
                      reportedUser:
                        type: string
                      reportChannel:
                        type: string
                      hideUsername:
                        type: boolean
                    required:
                      - message
                      - reportId
                      - moderator
                      - reports
                      - reportedUser
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API key and secret as `key:secret` in Authorization header.

````